<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Simulatore contabilità
 *
 * @package    mod_mtcontabilita
 * @copyright  2026 Mediatouch 2000 Srl <https://www.mediatouch.it>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @author     Marco Cappuccio <m.cappuccio@mediatouch.it>
 */

defined('MOODLE_INTERNAL') || die();

require_once($CFG->libdir.'/formslib.php');
require_once($CFG->dirroot.'/user/editlib.php');

/**
 * step1_form class
 */
class step1_form extends moodleform {

    /**
     * definition
     */
    public function definition() {
        $mform = $this->_form;
        $data    = $this->_customdata['data'];

        $mform->addElement('hidden', 'id');
        $mform->setType('id', PARAM_INT);

        $mform->addElement('hidden', 'cmid');
        $mform->setType('cmid', PARAM_INT);

        $mform->addElement('hidden', 'tp');
        $mform->setType('tp', PARAM_INT);

        for ($i = 0; $i <= 10; $i++) {
            $opt[$i] = $i;
        }
        $opt[0] = get_string('illimitato', 'mtcontabilita');
        $mform->addElement('select', 'attempt', get_string('attempt', 'mtcontabilita'), $opt );
        $mform->addHelpButton('attempt', 'attempt', 'mtcontabilita');
        $mform->addRule('attempt', null, 'required', null, 'client');

        $mform->addElement('text', 'name', get_string('name', 'mtcontabilita'));
        $mform->setType('name', PARAM_RAW);

        $mform->addElement('textarea', 'description', get_string('description', 'mtcontabilita'));

        $this->add_action_buttons(false, get_string('continue'));
        $this->set_data($data);
    }
}
